Skip to main content
`Ctrl`+`K`

# MatCopyHashToXAIJ

copy hash table entries into an XAIJ matrix type

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCopyHashToXAIJ(Mat A, Mat B)

Logically Collective

## Input Parameter

- A - A matrix in unassembled, hash table form

## Output Parameter

- B - The XAIJ matrix. This can either be `A` or some matrix of equivalent size, e.g. obtained from `A` via `MatDuplicate()`

## Example

         PetscCall(MatDuplicate(A, MAT_DO_NOT_COPY_VALUES, &B));
         PetscCall(MatCopyHashToXAIJ(A, B));

## Notes

If `B` is `A`, then the hash table data structure will be destroyed. `B` is assembled

## See Also

Matrices, `Mat`, `MAT_USE_HASH_TABLE`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages